Name:           ocamlweb
Version:        1.37
Release:        %mkrel 1
Summary:        Literate programming tool for OCaml
License:        LGPL
Group:          Development/Other
URL:            http://www.lri.fr/~filliatr/ocamlweb/
Source0:        http://www.lri.fr/~filliatr/ftp/ocamlweb/ocamlweb-%{version}.tar.gz
BuildRequires:  ocaml
Requires:           texlive
Requires(post):     texlive
Requires(postun):   texlive

%description
Literate programming, as defined by Knuth, means to combine program
code and documentation into one source document from which program
code and documentation can be extracted. The approach of ocamlweb is
that documentation is to be included in the program code as special
comments. The ocamlweb tool extracts from this the documented program
code as LaTeX document, while no special preprocessing is required to
compile the source files.

%prep
%setup -q

%build
./configure --prefix=%{buildroot}/usr --mandir=%{buildroot}%{_mandir}
make

%install
rm -rf %{buildroot}
make install
rm -f %{buildroot}/usr/share/texmf/ls-R

%post 
%{_bindir}/mktexlsr

%postun 
%{_bindir}/mktexlsr

%files
%doc COPYING README CHANGES
%doc doc/ocamlweb-1.37-man.{html,tex}
%{_bindir}/ocamlweb
%{_datadir}/texmf/tex/latex/misc/ocamlweb.sty
%{_mandir}/man1/ocamlweb.1*


%changelog

* Fri Apr 13 2012 blue_prawn <blue_prawn> 1.37-1.mga2
+ Revision: 230641
- imported package ocamlweb

